/// <reference types="amap-js-api" />
import Vue from 'vue';
import { PropDesc } from '../../types/props';
declare type Eventable = AMap.EventEmitter & Record<string, any>;
export declare function bindEvent(vm: Vue, event: string, func: (e: any) => void): void;
export declare function bindEvents(vm: Vue): void;
export declare function bindTwoWayEvent(vm: Vue, key: string, definition: PropDesc<any>, target?: Eventable): void;
export declare function unbindEvents(vm: Vue): void;
export {};
